Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_fiber_struct Struct Reference

## Data Fields
rb_context_t | cont
VALUE | prev
enum fiber_status | status
struct rb_fiber_struct * | prev_fiber
struct rb_fiber_struct * | next_fiber
int | transfered

## Detailed Description

Definition at line 129 of file cont.c.

## Field Documentation

rb_context_t rb_fiber_struct::cont

Definition at line 130 of file cont.c.

Referenced by cont_capture(), cont_free(), cont_mark(), cont_memsize(), cont_new(), cont_restore_thread(), fiber_free(), fiber_init(), fiber_mark(), fiber_memsize(), fiber_store(), fiber_switch(), fiber_t_alloc(), rb_cont_call(), rb_fiber_current(), rb_fiber_reset_root_local_storage(), rb_fiber_resume(), rb_fiber_start(), rb_fiber_terminate(), and root_fiber_alloc().

struct rb_fiber_struct* rb_fiber_struct::next_fiber

Definition at line 134 of file cont.c.

Referenced by fiber_link_join(), fiber_link_remove(), and root_fiber_alloc().

VALUE rb_fiber_struct::prev

Definition at line 131 of file cont.c.

Referenced by fiber_mark(), fiber_switch(), fiber_t_alloc(), rb_fiber_resume(), and return_fiber().

struct rb_fiber_struct* rb_fiber_struct::prev_fiber

Definition at line 133 of file cont.c.

Referenced by fiber_link_join(), fiber_link_remove(), and root_fiber_alloc().

enum fiber_status rb_fiber_struct::status

Definition at line 132 of file cont.c.

Referenced by cont_mark(), fiber_switch(), fiber_t_alloc(), rb_fiber_alive_p(), rb_fiber_start(), rb_fiber_terminate(), and root_fiber_alloc().

int rb_fiber_struct::transfered

Definition at line 139 of file cont.c.

Referenced by rb_fiber_m_transfer(), and rb_fiber_resume().

The documentation for this struct was generated from the following file:

- cont.c